Loading...
Searching...
No Matches
tr_socket Struct Reference
Transport sockets

`#include "transport.h"`

## Data Fields

tr_close_fp | close_fp
tr_free_fp | free_fp
tr_ident_fp | ident_fp
tr_open_fp | open_fp
tr_recv_fp | recv_fp
tr_send_fp | send_fp
void * | socket

## Detailed Description

Parameters

  socket | A pointer to a technology specific socket.
  open_fp | Pointer to a function that establishes the socket connection.
  close_fp | Pointer to a function that closes the socket.
  free_fp | Pointer to a function that frees all memory allocated with this socket.
  send_fp | Pointer to a function that sends data through this socket.
  recv_fp | Pointer to a function that receives data from this socket.

Examples
  rtr_mgr.c, and ssh_tr.c.